mca_mark_as_used
Prev | Chapter 3. Public Functions Provided | Next

## Name

mca_mark_as_used — claim an MCA device

## Synopsis

`int mca_mark_as_used (` | int | slot`)`;

## Arguments

`slot`

  slot to claim

## FIXME

should we make this threadsafe

Claim an MCA slot for a device driver. If the slot is already taken the function returns 1, if it is not taken it is claimed and 0 is returned.

Prev | Up | Next
mca_is_adapter_used | Home | mca_mark_as_unused